Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi
Interface RemoteRptServer

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteRptServer

extends java.rmi.Remote

Field Summary
`static java.lang.String` | `REMOTE_NAME` Constant for specifying the remote report server name.

Method Summary
`boolean` | `canAutoRefresh(java.lang.String name)` This method is used for determining if the pipeline html page auto-refreshes.
`java.lang.String` | `copySchedules(java.lang.String[] taskids, java.lang.String user)` Copies the selected scheduled tasks.
`java.lang.String` | `deleteCRDSchedules(java.util.Vector taskids, java.lang.String user)` Deletes the selected CRD schedules.
`java.lang.String` | `deleteCubeSchedules(java.util.Vector taskids, java.lang.String user)` Deletes the selected cube schedules.
`java.lang.String` | `deleteSchedules(java.lang.String[] taskids, java.lang.String user)` Deletes the selected scheduled tasks.
`void` | `delScriptFile(java.lang.String filename)` Deprecated.
`boolean` | `disableScheduledTask(java.lang.String taskID)` Disables a scheduled task by the task ID.
`java.lang.String` | `disableSchedules(java.lang.String[] taskids, java.lang.String user)` Disables the selected scheduled tasks.
`void` | `dumpEnginesInfo()` Invokes this method to dump all currently active engines' instant information (status).
`boolean` | `enableScheduledTask(java.lang.String taskID)` Enables a scheduled task by the task ID.
`java.lang.String` | `enableSchedules(java.lang.String[] taskids, java.lang.String user)` Enables the selected scheduled tasks.
`ExportedFileList` | `exportResult(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Exports a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.
`java.lang.String` | `exportResultToOneFormat(java.lang.String userID, java.lang.String resultFileName, java.util.Properties props)` Exports a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.
`java.lang.String` | `exportScripts(java.lang.String userID, java.lang.String[] taskIDs)` Generates the script of the specified tasks.
`java.util.Vector` | `getActiveTasks()` Gets the active tasks.
`java.util.Vector` | `getActiveTasksByUser(java.lang.String userID)` Gets the active tasks.
`RemoteAdminService` | `getAdminService()` Gets the admin service of the report server.
`RemoteAliasMappingManager` | `getAliasMappingManager()` Gets the alias mapping manager object associated with this server.
`int` | `getBuildNumber()` Gets the build number of reports server.
`RemoteCatalogInfo` | `getCatalogInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber)` Gets the `RemoteCatalogInfo` of the specific version of the catalog.
`ClusterMonitor` | `getClusterMonitor()` Gets the cluster monitor.
`RemoteClusterService` | `getClusterService()` Gets the report cluster service.
`RemoteCompletedTaskTable` | `getCompletedTaskTable()` Gets the `RemoteCompletedTaskTable` object associated with this server.
`RemoteCRDManager` | `getCRDManager()` Gets the CRD manager object associated with this server.
`java.util.Properties` | `getCRDTask(java.lang.String taskID)` Gets the properties of a CRD task by the task ID.
`RemoteCubeManager` | `getCubeManager()` Get the cube manager.
`java.util.Properties` | `getCubeTask(java.lang.String taskID)` Gets the properties of a cube task using the specified task ID.
`java.util.GregorianCalendar` | `getCurrentCalendar()` Gets the current calendar object associated with this server.
`RemoteDashboardListenerManager` | `getDashboardListenerManager()` Gets the Dashboard listener Manager.
`jet.server.intf.dhtml.RemoteDHTMLClientService` | `getDHTMLClientService()` Gets the `RemoteDHTMLClientService` object associate with this server.
`java.lang.String` | `getDynamicClassDir()` Gets the dynamic class directory of the report server.
`RemoteDynamicConnectionService` | `getDynamicConnectionService()` Gets the DynamicConnection Service.
`java.util.List` | `getEngineErrors(java.lang.String resultFile)` Gets the engine errors after running a report.
`java.lang.String` | `getFilenames(java.lang.String name, int index)` This method is used for getting the order index's html file names.
`RemoteGlobalNLSLibrary` | `getGlobalNLSLibrary()` Gets the Global NLS Library object associated with this server.
`jet.server.intf.dhtml.RemoteHelpAPI` | `getHelpService()` Gets the `RemoteHelpAPI` object associate with this server.
`java.lang.String` | `getHomePath()` Gets the home path of the report server.
`RemoteInformationBusManager` | `getInformationBusManager()` Gets the InformationBusManager
`RemoteInteractiveReportTaskService` | `getInteractiveReportTaskService()` Gets the InteractiveReport task service.
`RemoteLargeReportManager` | `getLargeReportManager()` Deprecated. As of v8, replaced by `getOndemandReportManager()`
`java.lang.String` | `getLicenceExpiredDate()` Gets the expired date of the server license.
`java.util.Hashtable` | `getMediaTray()` Gets the names hashtable of printers' media tray.
`MonitorService` | `getMonitorService()` Gets the monitor service of the server.
`RemoteNLSLibraryManager` | `getNLSLibraryManager()` Gets the NLSLibraryManager
`RemoteOndemandReportManager` | `getOndemandReportManager()` Gets the `RemoteOndemandReportManager` object associated with this server.
`java.lang.String[]` | `getPaperList()` Gets the print paper list.
`RemoteParameterRecorder` | `getParameterRecorder()` Gets the report parameter recorder for user to get and set historical parameter value.
`java.util.Vector` | `getPrinters()` Gets the names of printers.
`RemoteProfileManager` | `getProfileManager()` Gets the function profile manager, which is used to manage the function profiles.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber)` Gets the `RemoteReportInfo` of the specific version of the catalog and report.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, int catVerNumber, java.lang.String report, int rptVerNumber, java.util.Hashtable ht)` Gets the `RemoteReportInfo` of the specific version of the catalog and report.
`RemoteReportInfo` | `getReportInfo(java.lang.String userID, java.lang.String catalog, java.lang.String report)` Gets the `RemoteReportInfo` object associate with this server.
`RemoteResourceManager` | `getResourceManager()` Gets the `RemoteResourceManager` object associated with this server.
`RemoteResourceNLSManager` | `getResourceNLSManager()` Gets the NLS manager for server resource names
`RemoteResultVersionTable` | `getResultVersionTable()` Gets the `RemoteResultVersionTable` object associated with this server.
`RemoteRstResultInfo` | `getRstResultInfo(java.lang.String rst)` Gets the RemoteRstResultInfo of the specific rst file.
`java.util.Vector` | `getSchedCRDTasks()` Gets the scheduled CRD tasks.
`java.util.Vector` | `getSchedCRDTasksByUser(java.lang.String userId)` Gets the scheduled CRD tasks by submitter.
`java.util.Vector` | `getSchedCubeTasks()` Gets the scheduled cube tasks.
`java.util.Vector` | `getSchedCubeTasksByUser(java.lang.String userId)` Gets the scheduled cube tasks by submitter.
`java.util.Properties` | `getScheduledTask(java.lang.String taskID)` Gets the properties of a scheduled task by the task ID.
`java.util.Vector` | `getScheduledTasks()` Gets the scheduled tasks.
`java.util.Vector` | `getScheduledTasksByUser(java.lang.String userId)` Gets the scheduled tasks by submitter.
`java.lang.String[]` | `getScriptsList()` Deprecated.
`RemoteSecurityWebAdaptor` | `getSecurityWebAdaptor()` Gets the `RemoteSecurityWebAdaptor` object associated with this server.
`jet.server.service.rmi.RemoteServiceManager` | `getServiceManager()` Gets the Service Manager object associated with this server.
`jet.server.intf.dhtml.RemoteDHtmlAPI` | `getSimpleDHtmlService()` Gets the `RemoteDHtmlAPI` object associated with this server.
`SystemPerformanceInfo` | `getSystemPerformanceInfo()` Gets the System Performance information.
`RemoteTaskAuditor` | `getTaskAuditor()`
`RemoteTempResultOwnerManager` | `getTempResultOwnerManager()` Gets the `RemoteTempResultOwnerManager` object associate with this server.
`RemoteTriggerManager` | `getTriggerManager()` Gets a `RemoteTriggerManager` object associated with this server.
`RemoteUserPreferenceManager` | `getUserDHTMLPreferenceManager()` Gets the preference manager for user to get and save his/her dhtml preference.
`RemoteUserPreferenceManager` | `getUserPreferenceManager()` Gets the preference manager for user to get and save his/her preference.
`RemoteUserSessionManager` | `getUserSessionManager()` Gets the `UserSessionManager` object associate with this server.
`RemoteVersionAmountLimitTable` | `getVersionAmountLimitTable()` Gets the `RemoteVersionAmountLimitTable` object associated with this server.
`WebPageOptions` | `getWebPageOptions()` Gets the `WebPageOptions` object associated with this server.
`RemoteWebUIConfig` | `getWebUIConfig()` Gets the `WebUIConfig` object associated with this server.
`void` | `init(java.util.Properties svrProps)` Initializes the RptServer.
`boolean` | `isClusterEnable()` Checks if this server has the cluster feature.
`boolean` | `isFreeVirtualAppliance()` Checks whether this server is free virtual appliance.
`boolean` | `isHtmlPipeLine(java.lang.String name)` This method is used for determining if the temp result is the pipeline html.
`boolean` | `isRunningQueue()` Determines if the running report is managed by a running report queue
`boolean` | `isScriptFileExist(java.lang.String filename)` Deprecated.
`boolean` | `isStarted()` Checks whether the server has started
`boolean` | `isTaskQueueFull(int priority)` Returns whether the task queue is full.
`boolean` | `isTempResultReady(java.lang.String tempResultName)` Tests if the temporary result is ready.
`java.lang.String` | `loadScheduledFromFile(java.lang.String fileName)` Loads the scheduled tasks from a sch file.
`java.lang.String` | `loadScriptFromFile(java.lang.String filename)` Deprecated.
`java.util.Properties[]` | `parseScripts(java.lang.String scripts)` Parses the given scripts, and transfers the corresponding task into Properties object.
`void` | `publishResultToVersion(java.lang.String userid, java.util.Properties ht)` Publishes the report result to version system when viewing report result.
`boolean` | `removeScheduledTask(java.lang.String taskID)` Removes a scheduled task by the task ID.
`void` | `restart(java.util.Properties svrProps)` Restarts the RptServer.
`java.lang.String` | `runReport(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Runs a report immediately.
`java.lang.String` | `runReportNotWaitResult(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams)` Runs a report.
`java.lang.String` | `runReportWithTimeouts(java.lang.String userID, java.lang.String catalog, java.lang.String report, java.util.Properties propParams, long timeouts)` Runs a report immediately with timeouts.
`java.lang.String` | `runTask(java.lang.String userID, java.util.Properties propTask)` Runs a task immediately and returns the completed task ID.
`long` | `runTestReport(java.util.Properties ht)` Runs test report.
`java.lang.String` | `saveScheduledToFile(java.lang.String[] taskid, java.lang.String fileName, boolean bOverWrite)` Saves the scheduled tasks to a sch file.
`java.lang.String` | `saveScheduledToScriptFile(java.lang.String[] taskid)` Deprecated.
`boolean` | `saveScriptToFile(java.lang.String script, java.lang.String filename)` Deprecated.
`void` | `setJDBCConnection(java.lang.String userID, java.lang.String catalog, java.lang.String jdbcURL, java.lang.String dbUser, java.lang.String dbPswd, java.lang.String jdbcDriver)` Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.
`void` | `setRefreshed(java.lang.String name, boolean isRefreshed)` This method is used for setting whether the first pipeline html page is refreshed.
`void` | `setTempResultOwnerManager(RemoteTempResultOwnerManager ownerMan)` Sets the `RemoteTempResultOwnerManager` object associate with this server.
`void` | `setUserSessionManager(RemoteUserSessionManager ssnMan)` Sets the `RemoteUserSessionManager` object associate with this server.
`void` | `shutdown()` Shuts down the report server.
`void` | `start()` Starts the RptServer.
`boolean` | `stopActiveTask(java.lang.String taskID)` Stops a scheduled task by the task ID.
`boolean` | `stopActiveTaskByUser(java.lang.String taskID, java.lang.String userID)` Stops a scheduled task by the task ID and the user ID.
`java.lang.String` | `submitScheduledTask(java.lang.String userID, java.util.Properties propScheduledTask)` Submits a scheduled task and returns the task ID.
`java.lang.Object[]` | `submitScheduledTasks(java.lang.String userID, java.util.Properties[] tasks)` Submits scheduled tasks and returns the task ID or Exception.
`java.lang.String` | `waitTempResultReady(java.lang.String tempResultName)` Waits the temporary result to be ready and returns the error message.

Field Detail

### REMOTE_NAME

    static final java.lang.String REMOTE_NAME

  Constant for specifying the remote report server name.

  See Also:
    Constant Field Values

Method Detail

### isStarted

    boolean isStarted()
                      throws java.rmi.RemoteException

  Checks whether the server has started

  Returns:
    whether the server is started.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### shutdown

    void shutdown()
                  throws java.rmi.RemoteException

  Shuts down the report server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getResourceManager

    RemoteResourceManager getResourceManager()
                                             throws java.rmi.RemoteException

  Gets the `RemoteResourceManager` object associated with this server.

  Returns:
    the RemoteResourceManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteResourceManager`

### getSecurityWebAdaptor

    RemoteSecurityWebAdaptor getSecurityWebAdaptor()
                                                   throws java.rmi.RemoteException

  Gets the `RemoteSecurityWebAdaptor` object associated with this server.

  Returns:
    the RemoteSecurityWebAdaptor.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteSecurityWebAdaptor`

### getSimpleDHtmlService

    jet.server.intf.dhtml.RemoteDHtmlAPI getSimpleDHtmlService()
                                                               throws java.rmi.RemoteException

  Gets the `RemoteDHtmlAPI` object associated with this server.

  Returns:
    the RemoteDHtmlAPI.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteDHtmlAPI`

### getDHTMLClientService

    jet.server.intf.dhtml.RemoteDHTMLClientService getDHTMLClientService()
                                                                         throws java.rmi.RemoteException

  Gets the `RemoteDHTMLClientService` object associate with this server.

  Returns:
    the RemoteDHTMLClientService.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteDHTMLClientService`

### getHelpService

    jet.server.intf.dhtml.RemoteHelpAPI getHelpService()
                                                       throws java.rmi.RemoteException

  Gets the `RemoteHelpAPI` object associate with this server.

  Returns:
    the RemoteHelpAPI.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteHelpAPI`

### getTempResultOwnerManager

    RemoteTempResultOwnerManager getTempResultOwnerManager()
                                                           throws java.rmi.RemoteException

  Gets the `RemoteTempResultOwnerManager` object associate with this server.

  Returns:
    the RemoteTempResultOwnerManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteTempResultOwnerManager`

### setTempResultOwnerManager

    void setTempResultOwnerManager(RemoteTempResultOwnerManager ownerMan)
                                   throws java.rmi.RemoteException

  Sets the `RemoteTempResultOwnerManager` object associate with this server.

  Parameters:
    `ownerMan` - the RemoteTempResultOwnerManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteTempResultOwnerManager`

### getUserSessionManager

    RemoteUserSessionManager getUserSessionManager()
                                                   throws java.rmi.RemoteException

  Gets the `UserSessionManager` object associate with this server.

  Returns:
    the UserSessionManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `UserSessionManager`

### setUserSessionManager

    void setUserSessionManager(RemoteUserSessionManager ssnMan)
                               throws java.rmi.RemoteException

  Sets the `RemoteUserSessionManager` object associate with this server.

  Parameters:
    `ssnMan` - the RemoteUserSessionManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `UserSessionManager`

### getRstResultInfo

    RemoteRstResultInfo getRstResultInfo(java.lang.String rst)
                                         throws java.rmi.RemoteException

  Gets the RemoteRstResultInfo of the specific rst file.

  Parameters:
    `rst` - the real path of the rst file, for example, c:\temp\rst.
  Returns:
    the RemoteRstResultInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RstResultInfo`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   java.lang.String report)
                                   throws java.rmi.RemoteException

  Gets the `RemoteReportInfo` object associate with this server.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
  Returns:
    the RemoteReportInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteReportInfo`

### getCatalogInfo

    RemoteCatalogInfo getCatalogInfo(java.lang.String userID,
                                     java.lang.String catalog,
                                     int catVerNumber)
                                     throws java.rmi.RemoteException

  Gets the `RemoteCatalogInfo` of the specific version of the catalog.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server, for example, /SunVMDemo/SunVMDemo.cat.
    `catVerNumber` - the version number of the catalog
  Returns:
    the RemoteCatalogInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteCatalogInfo`

### submitScheduledTask

    java.lang.String submitScheduledTask(java.lang.String userID,
                                         java.util.Properties propScheduledTask)
                                         throws java.rmi.RemoteException,
                                                RptServerException

  Submits a scheduled task and returns the task ID.

  Parameters:
    `userID` - the user ID.
    `propScheduledTask` - the properties of the scheduled task. Please see the
    file
    for the instruction of the scheduled task properties.
  Returns:
    the task ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### runTask

    java.lang.String runTask(java.lang.String userID,
                             java.util.Properties propTask)
                             throws java.rmi.RemoteException,
                                    RptServerException

  Runs a task immediately and returns the completed task ID. The schedule information will be ignored if it exists in the task properties.

  Parameters:
    `userID` - the user ID.
    `propTask` - the properties of the task. Please see the
    file
    for the instruction of the task properties.
  Returns:
    the completed task ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### runReport

    java.lang.String runReport(java.lang.String userID,
                               java.lang.String catalog,
                               java.lang.String report,
                               java.util.Properties propParams)
                               throws java.rmi.RemoteException,
                                      RptServerException,
                                      TooManyReportsException

  Runs a report immediately. After the report is complete, return the temporary result name.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server, for example,/SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report.
    For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the parameter.

              Example: Running a report with the user's JDBC connection object (APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //sets the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //runs the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReport(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### runReportNotWaitResult

    java.lang.String runReportNotWaitResult(java.lang.String userID,
                                            java.lang.String catalog,
                                            java.lang.String report,
                                            java.util.Properties propParams)
                                            throws java.rmi.RemoteException,
                                                   RptServerException,
                                                   TooManyReportsException

  Runs a report. Before the report is complete, return the temporary result name. Use the methods isTempResultReady(...) and waitTempResultReady(...) to wait until the temporary result is ready.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report.
    For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the parameter.

              Example: Running a report with the user's JDBC connection object (APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //sets the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //runs the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportNotWaitResult(userID, catalog, report, propParams);

  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### runReportWithTimeouts

    java.lang.String runReportWithTimeouts(java.lang.String userID,
                                           java.lang.String catalog,
                                           java.lang.String report,
                                           java.util.Properties propParams,
                                           long timeouts)
                                           throws java.rmi.RemoteException,
                                                  RptServerException,
                                                  TooManyReportsException

  Runs a report immediately with timeouts. When timeouts is reached, this method will add the temporary result name into the Background Tasks List and return the temporary result name. After calling this method, you can use the methods isTempResultReady(...) and waitTempResultReady(...) to check/wait until the temporary result is ready.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in the report server, for example, /SunVMDemo/SunVMDemo.cat.
    `report` - the report name, for example, invoice.cls.
    `propParams` - the properties that contain APIConst.TAG_WHERE_PORTION, APIConst.TAG_NAMED_WHERE_PORTION, APIConst.TAG_WHERE_CLAUSE, APIConst.TAG_USE_DEF_DB_USER, APIConst.TAG_USE_NEW_DB_PSWD, APIConst.TAG_DB_USER, APIConst.TAG_DB_PSWD, APIConst.TAG_JDBC_URL, APIConst.TAG_JDBC_DRIVER, APIConst.TAG_JDBC_CONNECTION_OBJECT and the parameter values of the report. For each report parameter in the properties, the key is APIConst.TAG_PARAM_PREFIX + PARAMETER_NAME, the value is the value of the parameter.

              Example: Running a report with the user's JDBC connection object (APIConst.TAG_JDBC_CONNECTION_OBJECT).
              //creates the java.sql.Connection object.
              java.sql.Connection myCon = java.sql.DriverManager.getConnection(dbUrl);

              //sets the parameter APIConst.TAG_JDBC_CONNECTION_OBJECT(jrs.jdbc_connection_object) to run a report.
              propParams.put(APIConst.TAG_JDBC_CONNECTION_OBJECT, myCon);

              //runs the report using this java.sql.Connection object instead of
              //the default DB settings in the catalog.
              rptServer.runReportWithTimeouts(userID, catalog, report, propParams, jet.server.api.http.HttpUtil.getReportWaitTimeouts());

    `timeouts` - the timeouts in milliseconds.
  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
    `TooManyReportsException` - if a TooManyReportsException occurs.

### getLargeReportManager

    RemoteLargeReportManager getLargeReportManager()
                                                   throws java.rmi.RemoteException

  Deprecated. As of v8, replaced by `getOndemandReportManager()`

  Gets the `RemoteLargeReportManager` object associated with this server.

  Returns:
    the RemoteLargeReportManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteLargeReportManager`

### isTempResultReady

    boolean isTempResultReady(java.lang.String tempResultName)
                              throws java.rmi.RemoteException,
                                     RptServerException

  Tests if the temporary result is ready.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    if the temporary result is ready.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### waitTempResultReady

    java.lang.String waitTempResultReady(java.lang.String tempResultName)
                                         throws java.rmi.RemoteException,
                                                java.lang.InterruptedException

  Waits the temporary result to be ready and returns the error message.

  Parameters:
    `tempResultName` - the temporary result name.
  Returns:
    the error message. null if no error.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.
    `java.lang.InterruptedException`

### exportResultToOneFormat

    java.lang.String exportResultToOneFormat(java.lang.String userID,
                                             java.lang.String resultFileName,
                                             java.util.Properties props)
                                             throws java.rmi.RemoteException,
                                                    RptServerException

  Exports a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF or PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real file name of the result, for example, c:\jrserver\temp\18238181130.temp.
    `props` - the properties that contain APIConst.TAG_RESULT_TYPE. About properties for each result type, see the help document
    Appendix 7: Properties for scheduling reports via URL.
    ".
  Returns:
    the temporary result name.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### exportResult

    ExportedFileList exportResult(java.lang.String userID,
                                  java.lang.String resultFileName,
                                  java.util.Properties props)
                                  throws java.rmi.RemoteException,
                                         RptServerException

  Exports a report result to RST, HTML, PDF, TEXT, Excel, XML, RTF and PS.

  Parameters:
    `userID` - the user ID.
    `resultFileName` - the real file name of the result, for example, c:\jrserver\temp\18238181130.temp.
    `props` - the properties APIConst.TAG_RST, APIConst.TAG_PDF, APIConst.TAG_TEXT, APIConst.TAG_EXCEL and APIConst.TAG_PS.
    The value of these properties is true or false. The properties APIConst.TAG_HTML, APIConst.TAG_XML and APIConst.TAG_RTF. The value of these properties is the file name without path (for example, invoice and invoice.rtf). About properties for each result type, see the help document
    Appendix 7: Properties for scheduling reports via URL.
    ".
  Returns:
    the exported file list.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### getResultVersionTable

    RemoteResultVersionTable getResultVersionTable()
                                                   throws java.rmi.RemoteException

  Gets the `RemoteResultVersionTable` object associated with this server.

  Returns:
    the RemoteResultVersionTable.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteResultVersionTable`

### getScheduledTask

    java.util.Properties getScheduledTask(java.lang.String taskID)
                                          throws java.rmi.RemoteException

  Gets the properties of a scheduled task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    the properties of the scheduled task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeScheduledTask

    boolean removeScheduledTask(java.lang.String taskID)
                                throws java.rmi.RemoteException

  Removes a scheduled task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is removed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableScheduledTask

    boolean enableScheduledTask(java.lang.String taskID)
                                throws java.rmi.RemoteException

  Enables a scheduled task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is enabled.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### disableScheduledTask

    boolean disableScheduledTask(java.lang.String taskID)
                                 throws java.rmi.RemoteException

  Disables a scheduled task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task is disabled.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### stopActiveTask

    boolean stopActiveTask(java.lang.String taskID)
                           throws java.rmi.RemoteException

  Stops a scheduled task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    if the scheduled task stops.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### stopActiveTaskByUser

    boolean stopActiveTaskByUser(java.lang.String taskID,
                                 java.lang.String userID)
                                 throws java.rmi.RemoteException

  Stops a scheduled task by the task ID and the user ID.

  Parameters:
    `taskID` - the task ID.
    `userID` - the user ID.
  Returns:
    if the scheduled task stops.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getScheduledTasks

    java.util.Vector getScheduledTasks()
                                       throws java.rmi.RemoteException

  Gets the scheduled tasks.

  Returns:
    the scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getScheduledTasksByUser

    java.util.Vector getScheduledTasksByUser(java.lang.String userId)
                                             throws java.rmi.RemoteException

  Gets the scheduled tasks by submitter.

  Parameters:
    `userId` - the submitter
  Returns:
    the scheduled tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled task.
  Throws:
    `java.rmi.RemoteException`
  Since:
    JReport Server V6

### getActiveTasks

    java.util.Vector getActiveTasks()
                                    throws java.rmi.RemoteException

  Gets the active tasks.

  Returns:
    active tasks. The Vector contains `jet.server.api.ActiveTaskRecord` objects. Each ActiveTaskRecord object contains information of an active task in the report server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getActiveTasksByUser

    java.util.Vector getActiveTasksByUser(java.lang.String userID)
                                          throws java.rmi.RemoteException

  Gets the active tasks.

  Parameters:
    `userID` - the user ID.
  Returns:
    active tasks. The Vector contains `jet.server.api.ActiveTaskRecord` objects. Each ActiveTaskRecord object contains information of an active task in the report server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCompletedTaskTable

    RemoteCompletedTaskTable getCompletedTaskTable()
                                                   throws java.rmi.RemoteException

  Gets the `RemoteCompletedTaskTable` object associated with this server.

  Returns:
    the RemoteCompletedTaskTable.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteCompletedTaskTable`

### getPrinters

    java.util.Vector getPrinters()
                                 throws java.rmi.RemoteException

  Gets the names of printers.

  Returns:
    the names of printers.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMediaTray

    java.util.Hashtable getMediaTray()
                                     throws java.rmi.RemoteException

  Gets the names hashtable of printers' media tray.

  Returns:
    the names hashtable of media tray.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setJDBCConnection

    void setJDBCConnection(java.lang.String userID,
                           java.lang.String catalog,
                           java.lang.String jdbcURL,
                           java.lang.String dbUser,
                           java.lang.String dbPswd,
                           java.lang.String jdbcDriver)
                           throws java.rmi.RemoteException,
                                  RptServerException

  Deprecated. Replaced by properties jrs.jdbc_url, jrs.jdbc_driver and jrs.jdbc_connection_object for running report.

  Changes the JDBC connection information of a catalog.

  Parameters:
    `userID` - the user ID.
    `jdbcURL` - the URL of the JDBC connection. The value null means that the value is not changed.
    `dbUser` - the user ID of the JDBC connection. The value null means that the value is not changed.
    `dbPswd` - the password of the JDBC connection. The value null means that the value is not changed.
    `jdbcDriver` - the JDBC driver of the JDBC connection. The value null means that the value is not changed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### publishResultToVersion

    void publishResultToVersion(java.lang.String userid,
                                java.util.Properties ht)
                                throws java.rmi.RemoteException,
                                       RptServerException

  Publishes the report result to version system when viewing report result.

  Parameters:
    `userid` - user ID.
    `ht` - the properties of report result, including catalog name, report name, temp result file name, parameters if this report has any parameter.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
    `RptServerException` - if an RptServerException occurs.

### getVersionAmountLimitTable

    RemoteVersionAmountLimitTable getVersionAmountLimitTable()
                                                             throws java.rmi.RemoteException

  Gets the `RemoteVersionAmountLimitTable` object associated with this server.

  Returns:
    the RemoteVersionAmountLimitTable.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteVersionAmountLimitTable`

### isRunningQueue

    boolean isRunningQueue()
                           throws java.rmi.RemoteException

  Determines if the running report is managed by a running report queue

  Returns:
    If a report queue is running return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isTaskQueueFull

    boolean isTaskQueueFull(int priority)
                            throws java.rmi.RemoteException

  Returns whether the task queue is full.

  Returns:
    If the task queue is full return true, otherwise return false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveScheduledToFile

    java.lang.String saveScheduledToFile(java.lang.String[] taskid,
                                         java.lang.String fileName,
                                         boolean bOverWrite)
                                         throws java.rmi.RemoteException

  Saves the scheduled tasks to a sch file.

  Parameters:
    `taskid` - The taskid to specify which task will be saved to file.
    `fileName` - The saved scheduled task file's name.
    `bOverWrite` - whether to replace the existing Scheduled file.
  Returns:
    The output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### loadScheduledFromFile

    java.lang.String loadScheduledFromFile(java.lang.String fileName)
                                           throws java.rmi.RemoteException

  Loads the scheduled tasks from a sch file.

  Parameters:
    `fileName` - The scheduled task's fileName which will be loaded.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveScheduledToScriptFile

    java.lang.String saveScheduledToScriptFile(java.lang.String[] taskid)
                                               throws java.rmi.RemoteException

  Deprecated.

  Saves the scheduled tasks to a script file.

  Parameters:
    `taskid` - The taskid to specify which task will be saved to file.
    `fileName` - The saved scheduled task file's name.
    `bOverWrite` - If Replace the exist Scheduled file.
  Returns:
    The output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### copySchedules

    java.lang.String copySchedules(java.lang.String[] taskids,
                                   java.lang.String user)
                                   throws java.rmi.RemoteException

  Copies the selected scheduled tasks.

  Parameters:
    `taskids` - All selected scheduled task ids.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteSchedules

    java.lang.String deleteSchedules(java.lang.String[] taskids,
                                     java.lang.String user)
                                     throws java.rmi.RemoteException

  Deletes the selected scheduled tasks.

  Parameters:
    `taskids` - All selected scheduled task ids.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### enableSchedules

    java.lang.String enableSchedules(java.lang.String[] taskids,
                                     java.lang.String user)
                                     throws java.rmi.RemoteException

  Enables the selected scheduled tasks.

  Parameters:
    `taskids` - All selected scheduled task ids.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### disableSchedules

    java.lang.String disableSchedules(java.lang.String[] taskids,
                                      java.lang.String user)
                                      throws java.rmi.RemoteException

  Disables the selected scheduled tasks.

  Parameters:
    `taskids` - All selected scheduled task ids.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getFilenames

    java.lang.String getFilenames(java.lang.String name,
                                  int index)
                                  throws java.rmi.RemoteException

  This method is used for getting the order index's html file names.

  Parameters:
    `name` - the key of the html file name, for example, the key of the html file name 32646870_1.html is 32646870.
    `index` - the order of the html file name.
  Returns:
    : The order index's html file names.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### canAutoRefresh

    boolean canAutoRefresh(java.lang.String name)
                           throws java.rmi.RemoteException

  This method is used for determining if the pipeline html page auto-refreshes.

  Parameters:
    `name` - the key of the html file name, for example, the key of the html file name 32646870_1.html is 32646870.
  Returns:
    whether to auto-refresh.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setRefreshed

    void setRefreshed(java.lang.String name,
                      boolean isRefreshed)
                      throws java.rmi.RemoteException

  This method is used for setting whether the first pipeline html page is refreshed.

  Parameters:
    `name` - the key of the html file name, for example, the key of the html file name 32646870_1.html is 32646870.
    `isRefreshed` - whether the first pipeline html page is refreshed.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isHtmlPipeLine

    boolean isHtmlPipeLine(java.lang.String name)
                           throws java.rmi.RemoteException

  This method is used for determining if the temp result is the pipeline html.

  Parameters:
    `name` - the key of the html file name, for example, the key of the html file name 32646870_1.html is 32646870.
  Returns:
    if the temp result is the pipeline html.
  Throws:
    `java.rmi.RemoteException`

### getClusterService

    RemoteClusterService getClusterService()
                                           throws java.rmi.RemoteException

  Gets the report cluster service. It provides the active reports' information. and load balancer etc.

  Returns:
    the ClusterService object.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAdminService

    RemoteAdminService getAdminService()
                                       throws java.rmi.RemoteException

  Gets the admin service of the report server.

  Returns:
    Administration functions are not supported by the remote server APIs, it will always return `null`.``
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteAdminService`

### getMonitorService

    MonitorService getMonitorService()
                                     throws java.rmi.RemoteException

  Gets the monitor service of the server.

  Returns:
    the MonitorService object.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `MonitorService`

### getClusterMonitor

    ClusterMonitor getClusterMonitor()
                                     throws java.rmi.RemoteException

  Gets the cluster monitor. It provides the active reports' monitor.

  Returns:
    the ClusterMonitor object.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `MonitorService`

### isClusterEnable

    boolean isClusterEnable()
                            throws java.rmi.RemoteException

  Checks if this server has the cluster feature.

  Returns:
    true if the server has the cluster feature, otherwise false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getParameterRecorder

    RemoteParameterRecorder getParameterRecorder()
                                                 throws java.rmi.RemoteException

  Gets the report parameter recorder for user to get and set historical parameter value.

  Returns:
    the report parameter recorder.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteParameterRecorder`

### getUserPreferenceManager

    RemoteUserPreferenceManager getUserPreferenceManager()
                                                         throws java.rmi.RemoteException

  Gets the preference manager for user to get and save his/her preference.

  Returns:
    the preference manager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteUserPreferenceManager`

### getProfileManager

    RemoteProfileManager getProfileManager()
                                           throws java.rmi.RemoteException

  Gets the function profile manager, which is used to manage the function profiles. Profile is predefined for user to specify available functions. A profile defines a set of functions which will be available for end-user when opening a report. Only administrator can add/remove/update profiles.

  Returns:
    the function profile manager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteProfileManager`

### getUserDHTMLPreferenceManager

    RemoteUserPreferenceManager getUserDHTMLPreferenceManager()
                                                              throws java.rmi.RemoteException

  Gets the preference manager for user to get and save his/her dhtml preference.

  Returns:
    the preference manager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteUserPreferenceManager`

### runTestReport

    long runTestReport(java.util.Properties ht)
                       throws java.rmi.RemoteException,
                              RptServerException

  Runs test report.

  Parameters:
    `ht` - running reports needed information, such as report, catalog and submitter, etc.
  Returns:
    the time cost
  Throws:
    `RptServerException` - if an RptServerException occurs.
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getHomePath

    java.lang.String getHomePath()
                                 throws java.rmi.RemoteException

  Gets the home path of the report server. It is the install-root of the report server.

  Returns:
    the home path of the report server. It is the install-root of the report server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDynamicClassDir

    java.lang.String getDynamicClassDir()
                                        throws java.rmi.RemoteException

  Gets the dynamic class directory of the report server.

  Returns:
    the dynamic class directory of the report server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getBuildNumber

    int getBuildNumber()
                       throws java.rmi.RemoteException

  Gets the build number of reports server.

  Returns:
    the build number of the report server.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getScriptsList

    java.lang.String[] getScriptsList()
                                      throws java.rmi.RemoteException

  Deprecated.

  This method will get an array that includes all scheduler script file names.

  Returns:
    A String array.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### loadScriptFromFile

    java.lang.String loadScriptFromFile(java.lang.String filename)
                                        throws java.rmi.RemoteException

  Deprecated.

  This method will return the script's string.

  Parameters:
    `filename` - A String of the scheduled script file name.
  Returns:
    The selected script file will be converted to a string.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveScriptToFile

    boolean saveScriptToFile(java.lang.String script,
                             java.lang.String filename)
                             throws java.rmi.RemoteException

  Deprecated.

  This method will save the script string to the file system.

  Parameters:
    `script` - A String object of Scheduler's script text.
    `filename` - File name in which the script will be stored.
  Returns:
    Return true if the operating is successful, or else false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isScriptFileExist

    boolean isScriptFileExist(java.lang.String filename)
                              throws java.rmi.RemoteException

  Deprecated.

  This method tests whether the special script file exists.

  Parameters:
    `filename` - File name that will be tested.
  Returns:
    Return true if the script file exists, or else false.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### delScriptFile

    void delScriptFile(java.lang.String filename)
                       throws java.rmi.RemoteException

  Deprecated.

  This method will delete the special script file.

  Parameters:
    `filename` - File name that will be tested.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getOndemandReportManager

    RemoteOndemandReportManager getOndemandReportManager()
                                                         throws java.rmi.RemoteException

  Gets the `RemoteOndemandReportManager` object associated with this server.

  Returns:
    the RemoteOndemandReportManager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteOndemandReportManager`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   int catVerNumber,
                                   java.lang.String report,
                                   int rptVerNumber)
                                   throws java.rmi.RemoteException

  Gets the `RemoteReportInfo` of the specific version of the catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server, for example, /SampleReports/SampleReports.cat.
    `catVerNumber` - the version number of the catalog.
    `report` - the report name, for example,/SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - the version number of the report.
  Returns:
    the RemoteReportInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteReportInfo`

### getReportInfo

    RemoteReportInfo getReportInfo(java.lang.String userID,
                                   java.lang.String catalog,
                                   int catVerNumber,
                                   java.lang.String report,
                                   int rptVerNumber,
                                   java.util.Hashtable ht)
                                   throws java.rmi.RemoteException

  Gets the `RemoteReportInfo` of the specific version of the catalog and report.

  Parameters:
    `userID` - the user ID.
    `catalog` - the catalog path in JReport Report server, for example, /SampleReports/SampleReports.cat.
    `catVerNumber` - the version number of the catalog.
    `report` - the report name, for example, /SampleReports/CustomerAnalysis.cls.
    `rptVerNumber` - the version number of the report.
    `ht` - a hashtable containing some additional properties such as catalog DB connection information.
  Returns:
    the RemoteReportInfo.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `RemoteReportInfo`

### getWebPageOptions

    WebPageOptions getWebPageOptions()
                                     throws java.rmi.RemoteException

  Gets the `WebPageOptions` object associated with this server.

  Returns:
    the WebPageOptions.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  See Also:
    `WebPageOptions`

### exportScripts

    java.lang.String exportScripts(java.lang.String userID,
                                   java.lang.String[] taskIDs)
                                   throws java.rmi.RemoteException

  Generates the script of the specified tasks.

  Parameters:
    `taskIDs` - the specified tasks' IDs.
    `userID` - the specified user id.
  Returns:
    the scripts string.
  Throws:
    `java.rmi.RemoteException`

### parseScripts

    java.util.Properties[] parseScripts(java.lang.String scripts)
                                        throws java.rmi.RemoteException,
                                               RptServerException

  Parses the given scripts, and transfers the corresponding task into Properties object.

  Parameters:
    `scripts` - the contents of the scripts.
  Returns:
    Properties array whose order corresponds to that of the tasks described in the scripts. Properties object can be submitted to the Server by using the jet.server.api.RptServer.submitScheduledTask method.
  Throws:
    `java.rmi.RemoteException`
    `RptServerException`

### getTriggerManager

    RemoteTriggerManager getTriggerManager()
                                           throws java.rmi.RemoteException

  Gets a `RemoteTriggerManager` object associated with this server.

  Returns:
    a `RemoteTriggerManager` object.
  Throws:
    `java.rmi.RemoteException`

### submitScheduledTasks

    java.lang.Object[] submitScheduledTasks(java.lang.String userID,
                                            java.util.Properties[] tasks)
                                            throws java.rmi.RemoteException,
                                                   RptServerException

  Submits scheduled tasks and returns the task ID or Exception.

  Parameters:
    `userID` - the user ID.
    `tasks` - An array of Properties. Each Properties object in the array describes a task. Please see the
    document
    for the instruction of the scheduled task properties.
  Returns:
    Object array that corresponds to array of the submitted tasks. When the submission of the corresponding task is successful, it is the taskID, when failed, it is Exception.
  Throws:
    `RptServerException`
    `java.rmi.RemoteException`
  Since:
    8.00

### getPaperList

    java.lang.String[] getPaperList()
                                    throws java.rmi.RemoteException

  Gets the print paper list.

  Returns:
    string array that corresponds to the list of print paper types.
  Throws:
    `java.rmi.RemoteException`

### init

    void init(java.util.Properties svrProps)
              throws java.rmi.RemoteException

  Initializes the RptServer. This method must be called after RptServer object is created.

  Parameters:
    `svrProps` - the properties of the server. These properties are related to the implemetation of the RptServer. For the jet.server.jrserver.JRRptServer of JReport's implementation. The property "reporthome" must be set. Other properties are optional. The properties are:
    - reporthome or install.root: Must be set, for example, c:/JReport/Server.
    - jrs.isMyServer: Indicates if the HTTP server is JReport standalone server. The default value is "false".
    - temp_dir or jrs.dir.temp: The path of the temp directory. The default value is "/temp".
    - history_dir or jrs.dir.history: The directory where all the versions of report results will be maintained. The default value is "/history".
    - auth_scheme: It specifies the scheme of authentication. Its value must be Basic or Digest. The default value is Basic.
    - default_doc: The home page of JReport Server. It is an HTML file. If it is not set or the file set cannot be loaded, the default home page of JReport Server will be used. The path is relative to , for example, docs/index.html.
    - isConvertedServletPath: This property specifies whether your web server decodes the path if it contains special characters. This information is used for JRServlet to determine whether it needs to convert that path. If you don't specify this property, your web server is supposed not to decode path.
    - vError: Enables the output of error messages of JReport Engine. Available values are true/false.
    - vDebug: Enables the output of debug messages of JReport Engine. Available values are true/false.
    - logFile: Transfers the output message of JReport engine to the file /logs/report.log or other file as specified.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### start

    void start()
               throws java.rmi.RemoteException

  Starts the RptServer. This method must be called after the RptServer object is initialized.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### restart

    void restart(java.util.Properties svrProps)
                 throws java.rmi.RemoteException

  Restarts the RptServer. This method should shut down the RptServer first, then call the start(...) method.

  Parameters:
    `svrProps` - the properties of the server. These properties are related to the implementation of the RptServer.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### dumpEnginesInfo

    void dumpEnginesInfo()
                         throws java.rmi.RemoteException

  Invokes this method to dump all currently active engines' instant information (status).

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEngineErrors

    java.util.List getEngineErrors(java.lang.String resultFile)
                                   throws java.rmi.RemoteException

  Gets the engine errors after running a report.

  Parameters:
    `resultFile` - the result file.
  Returns:
    the engine errors.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getWebUIConfig

    RemoteWebUIConfig getWebUIConfig()
                                     throws java.rmi.RemoteException

  Gets the `WebUIConfig` object associated with this server.

  Returns:
    the WebUIConfig.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isFreeVirtualAppliance

    boolean isFreeVirtualAppliance()
                                   throws java.rmi.RemoteException

  Checks whether this server is free virtual appliance.

  Returns:
    whether this server is free virtual appliance.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getLicenceExpiredDate

    java.lang.String getLicenceExpiredDate()
                                           throws java.rmi.RemoteException

  Gets the expired date of the server license.

  Returns:
    a String object representing a date in the format "yyyy-mm-dd" or "Never" representing never expires.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCRDTask

    java.util.Properties getCRDTask(java.lang.String taskID)
                                    throws java.rmi.RemoteException

  Gets the properties of a CRD task by the task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    the properties of the CRD task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSchedCRDTasks

    java.util.Vector getSchedCRDTasks()
                                      throws java.rmi.RemoteException

  Gets the scheduled CRD tasks.

  Returns:
    the scheduled CRD tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled CRD task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSchedCRDTasksByUser

    java.util.Vector getSchedCRDTasksByUser(java.lang.String userId)
                                            throws java.rmi.RemoteException

  Gets the scheduled CRD tasks by submitter.

  Parameters:
    `userId` - the submitter.
  Returns:
    the scheduled CRD tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled CRD task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### deleteCRDSchedules

    java.lang.String deleteCRDSchedules(java.util.Vector taskids,
                                        java.lang.String user)
                                        throws java.rmi.RemoteException

  Deletes the selected CRD schedules.

  Parameters:
    `taskids` - All selected CRD scheduled task ids.
  Returns:
    the output message to client side.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCRDManager

    RemoteCRDManager getCRDManager()
                                   throws java.rmi.RemoteException

  Gets the CRD manager object associated with this server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCubeTask

    java.util.Properties getCubeTask(java.lang.String taskID)
                                     throws java.rmi.RemoteException

  Gets the properties of a cube task using the specified task ID.

  Parameters:
    `taskID` - the task ID.
  Returns:
    the properties of the cube task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 12

### getSchedCubeTasks

    java.util.Vector getSchedCubeTasks()
                                       throws java.rmi.RemoteException

  Gets the scheduled cube tasks.

  Returns:
    scheduled cube tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled cube task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 12

### getSchedCubeTasksByUser

    java.util.Vector getSchedCubeTasksByUser(java.lang.String userId)
                                             throws java.rmi.RemoteException

  Gets the scheduled cube tasks by submitter.

  Parameters:
    `userId` - the submitter
  Returns:
    scheduled cube tasks. The Vector contains Properties objects. Each Properties object includes the properties of a scheduled cube task.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    JREntServer Version 12, version 12

### deleteCubeSchedules

    java.lang.String deleteCubeSchedules(java.util.Vector taskids,
                                         java.lang.String user)
                                         throws java.rmi.RemoteException

  Deletes the selected cube schedules.

  Parameters:
    `taskids` - All selected cube schedule task ids
    `user` - the user
  Returns:
    the output message to client side
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 12

### getCubeManager

    RemoteCubeManager getCubeManager()
                                     throws java.rmi.RemoteException

  Get the cube manager.

  Returns:
    cube manager
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    version 12

### getServiceManager

    jet.server.service.rmi.RemoteServiceManager getServiceManager()
                                                                  throws java.rmi.RemoteException

  Gets the Service Manager object associated with this server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCurrentCalendar

    java.util.GregorianCalendar getCurrentCalendar()
                                                   throws java.rmi.RemoteException

  Gets the current calendar object associated with this server.

  Returns:
    the current calendar.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAliasMappingManager

    RemoteAliasMappingManager getAliasMappingManager()
                                                     throws java.rmi.RemoteException

  Gets the alias mapping manager object associated with this server.

  Returns:
    the alias mapping manager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getGlobalNLSLibrary

    RemoteGlobalNLSLibrary getGlobalNLSLibrary()
                                               throws java.rmi.RemoteException

  Gets the Global NLS Library object associated with this server.

  Returns:
    The Global NLS Library.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getTaskAuditor

    RemoteTaskAuditor getTaskAuditor()
                                     throws java.rmi.RemoteException

  Throws:
    `java.rmi.RemoteException`

### getDashboardListenerManager

    RemoteDashboardListenerManager getDashboardListenerManager()
                                                               throws java.rmi.RemoteException

  Gets the Dashboard listener Manager.

  Returns:
    the Dashboard listener Manger
  Throws:
    `java.rmi.RemoteException`

### getSystemPerformanceInfo

    SystemPerformanceInfo getSystemPerformanceInfo()
                                                   throws java.rmi.RemoteException

  Gets the System Performance information.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getInteractiveReportTaskService

    RemoteInteractiveReportTaskService getInteractiveReportTaskService()
                                                                       throws java.rmi.RemoteException

  Gets the InteractiveReport task service.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getDynamicConnectionService

    RemoteDynamicConnectionService getDynamicConnectionService()
                                                               throws java.rmi.RemoteException

  Gets the DynamicConnection Service.

  Returns:
  Throws:
    `java.rmi.RemoteException`

### getInformationBusManager

    RemoteInformationBusManager getInformationBusManager()
                                                         throws java.rmi.RemoteException

  Gets the InformationBusManager

  Returns:
    RemoteInformationBusManager
  Throws:
    `java.rmi.RemoteException`

### getNLSLibraryManager

    RemoteNLSLibraryManager getNLSLibraryManager()
                                                 throws java.rmi.RemoteException

  Gets the NLSLibraryManager

  Returns:
    RemoteNLSLibraryManager
  Throws:
    `java.rmi.RemoteException`

### getResourceNLSManager

    RemoteResourceNLSManager getResourceNLSManager()
                                                   throws java.rmi.RemoteException

  Gets the NLS manager for server resource names

  Returns:
    the server resource name NLS manager.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD